ProgressBarSkin (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: ProgressBarSkin

# Class ProgressBarSkin

java.lang.Object
javafx.scene.control.SkinBase<ProgressIndicator>
javafx.scene.control.skin.ProgressIndicatorSkin
javafx.scene.control.skin.ProgressBarSkin

All Implemented Interfaces:
  `Skin<ProgressIndicator>`

public class ProgressBarSkin extends ProgressIndicatorSkin
Default skin implementation for the `ProgressBar` control.

Since:
  9
See Also:
  - `ProgressBar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgressBarSkin(ProgressBar control)`
  Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `computeBaselineOffset(double topInset, double rightInset, double bottomInset, double leftInset)`
  Calculates the baseline offset based on the first managed child.
  `static List<CssMetaData<? extends Styleable, ?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

  ### Methods declared in class SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### ProgressBarSkin

    public ProgressBarSkin(ProgressBar control)
    Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### computeBaselineOffset

    public double computeBaselineOffset(double topInset, double rightInset, double bottomInset, double leftInset)
    Calculates the baseline offset based on the first managed child. If there is no such child, returns `Node.getBaselineOffset()`.
    Overrides:
      `computeBaselineOffset` in class `SkinBase<ProgressIndicator>`
    Parameters:
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      baseline offset

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable, ?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses